XScreenSaver(1)

NAME
sballs - draws balls spinning like crazy in GL

SYNOPSIS
sballs [-display host:display.screen] [-window] [-root] [-visual visual] [-delay microseconds] [-object object_number] [-count number_of_spheres] [-cycles sphere_speed] [-size viewport_size] [-texture] [-no-texture] [-wireframe] [-no-wireframe] [-trackmouse] [-no-trackmouse] [-fps] [-no-fps]

DESCRIPTION
The sballs program draws an animation of balls spinning like crazy in GL.

OPTIONS
sballs accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-fps
    Display a running tally of how many frames per second are being rendered. In conjunction with -delay 0, this can be a useful benchmark of your GL performance.

-object object_number
    Specify how the spheres are grouped (forming an object). Objects are:

1   tetrahedron

2   cube. This is the default.

3   octahedron

4   dodecahedron

5   icosahedron

6   plane

7   pyramid

8   star

-count number_of_spheres
    Specify how much spheres are drawn in the selected object.

-size viewport_size
    Viewport of GL scene is specified size if greater than 32 and less than screensize. Default value is 0, meaning full screensize.

-count number_of_particles
    Specify how much fire particles are drawn. A very special case is 0 wich means that you get rain !

-texture
    Show a textured background and spheres. This is the default.

-no-texture
    Disables texturing the animation.

-trackmouse
    Let the mouse be a joystick to change the view of the animation. This implies -no-wander.

-no-trackmouse
    Disables mouse tracking. This is the default.

-wire
    Draw a wireframe rendition of the spheres.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2001 by Eric Lassauge. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty. The original code for this mode was written by Mustata Bogdan (LoneRunner) <lonerunner@planetquake.com> and can be found at http://www.cfxweb.net/lonerunner/

AUTHOR
Mustata Bogdan (LoneRunner) <lonerunner@planetquake.com> Eric Lassauge <lassauge@mail.dotcom.fr>